// Class Declaration
// This class "Country" includes for each country, its partner countries and
// the number of people moving to it

class Country {
  // Instance Variables
  int population;
  PVector coordinates;
  float posx, posy, posz;
  color sphereColor;
  ArrayList<ArrayList<Integer>> flowNumArray = new ArrayList<ArrayList<Integer>>();
  String origin;
  //String[] destination;
  ArrayList<String> destination = new ArrayList<String>();
  int[] mig1990, mig1995, mig2000, mig2005;

  // Constructor Declaration of Class <-- this is a function, only call when we want a new item
  // To create a new instance
  Country( String origin, int population, float posx, float posy, float posz, color sphereColor, ArrayList<String> destination, ArrayList<Integer> mig1990, ArrayList<Integer> mig1995, ArrayList<Integer> mig2000, ArrayList<Integer> mig2005) {
    this.population = population;
    this.coordinates = new PVector(posx, posy, posz);
    this.sphereColor = sphereColor;
    this.origin = origin;
    this.destination = new ArrayList<String>(destination); //destination;
    this.flowNumArray = new ArrayList<ArrayList<Integer>>();
    flowNumArray.add(mig1990);
    flowNumArray.add(mig1995);
    flowNumArray.add(mig2000);
    flowNumArray.add(mig2005);
  }
}
